| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
odcombo.h File Reference

## Classes

class | wxOwnerDrawnComboBox
| wxOwnerDrawnComboBox is a combobox with owner-drawn list items. More...

## Enumerations

enum | wxOwnerDrawnComboBoxPaintingFlags { wxODCB_PAINTING_CONTROL = 0x0001, wxODCB_PAINTING_SELECTED = 0x0002 }
enum | { wxODCB_DCLICK_CYCLES = wxCC_SPECIAL_DCLICK, wxODCB_STD_CONTROL_PAINT = 0x1000 }
| New window styles for wxOwnerDrawnComboBox. More...

## Enumeration Type Documentation

anonymous enum

New window styles for wxOwnerDrawnComboBox.

Enumerator:

  wxODCB_DCLICK_CYCLES | Double-clicking cycles item if wxCB_READONLY is also used.
  wxODCB_STD_CONTROL_PAINT | If used, control itself is not custom paint using callback. Even if this is not used, writable combo is never custom paint until SetCustomPaintWidth is called

enum wxOwnerDrawnComboBoxPaintingFlags

Enumerator:

  wxODCB_PAINTING_CONTROL | Combo control is being painted, instead of a list item. Argument item may be `wxNOT_FOUND` in this case.
  wxODCB_PAINTING_SELECTED | An item with selection background is being painted. DC text colour should already be correct.